Bug 1249184 - Validation failed: Type There is no proxy with BMC feature set up.
Validation failed: Type There is no proxy with BMC feature set up.
Status: VERIFIED
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: Installation - RHEV (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity unspecified
: beta
: 1.0
Assigned To: Brad Buckingham
Dan Macpherson
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-31 14:29 EDT by Antonin Pagac
Modified: 2016-04-29 12:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
foreman-debug (504.81 KB, application/x-xz)
2015-07-31 14:37 EDT, Antonin Pagac
no flags Details
tarball of /var/log (556.78 KB, application/x-gzip)
2015-07-31 14:41 EDT, Antonin Pagac
no flags Details

  None (edit)
Description Antonin Pagac 2015-07-31 14:29:04 EDT
Description of problem:
After a successful sync of repositories there is a non-resumable error during the Rhev::Deploy task: "Validation failed: Type There is no proxy with BMC feature set up. Please register a smart proxy with this feature."
Adding foreman-debug and tarball of /var/log.

Version-Release number of selected component (if applicable):
Multiple iso composes: 0729, 0730, 0731

How reproducible:
Allways

Steps to Reproduce:
1. Start new RHCI installation.
2. Wait for repository sync and start of the Rhev::Deploy task.
3. Error shows up.

Actual results:
Non-resumable error during installation.

Expected results:
Successful install (resumable error).

Additional info:
Workaround:
1) Edit /etc/foreman-proxy/settings.d/bmc.yml
Change :enabled: from false to true
2) systemctl restart foreman-proxy.service
3) Infrastructure > Capsules
Dropdown > Refresh Features
BMC is added in Features column
4) Resume task
Comment 1 Antonin Pagac 2015-07-31 14:37:48 EDT
Created attachment 1058107 [details]
foreman-debug
Comment 2 Antonin Pagac 2015-07-31 14:41:09 EDT
Created attachment 1058109 [details]
tarball of /var/log
Comment 3 Thom Carlin 2015-08-03 06:00:04 EDT
A reasonable time to use the workaround is after fusor-installer and just before component installation.
Comment 4 Thom Carlin 2015-08-13 12:03:22 EDT
Option is working in "This install was completed from an ISO with the Media ID 1439405173.425233 at 06:46:13 PM on 12 Aug 2015."
Comment 5 Brett Thurber 2015-08-13 12:04:41 EDT
Tagging on as I ran into this issue on IBM BladeCenter servers.

Note You need to log in before you can comment on or make changes to this bug.